#ifndef ENGINE_H
#define ENGINE_H

#include "SDL.h"

class Engine
{
	
  public:
    Engine(); //constructor to set initial values of variables
    
		int x, y;
		
		// Initialization function.
		void Init();

		// Formula Variables
		double viy, dy, ay; 
		double vix, dx, ax; 
		double t;       

		// SDL screens and such.
		SDL_Surface *screen;
		SDL_Surface *background;
		SDL_Surface *player;
		int colorKey;

		// SDL Functions
		SDL_Surface* SetSurface(char*);
		void DrawImage(SDL_Surface*, SDL_Surface*, int, int);
		void DrawScene();

		// Movement
		void addX(int);
		void addY(int);
		int getY();

};

#endif