/* Formulas.cpp
   This file holds all the formulas that are used to calculate the information
	 needed to determine where to place the player at a given time in freefall.

	 formulas used:
	    d = Vi(t) + 1/2(a)(t^2)
*/

#include "Formulas.h"
#include <cmath>

double Formulas::calculateX(double velocity, double timeX)
{
	double distance;
  distance = velocity * timeX;
	return distance;
}

double Formulas::calculateY(double acceleration, double timeX)
{
	double distance;
	distance = .5 * (acceleration * pow(timeX, 2));
	return distance;
}